Last Comment Bug 550925 - Workers: nsDOMWorkerTimeout::Init sets mInterval to an uninitialized value if aArgc <= 1
: Workers: nsDOMWorkerTimeout::Init sets mInterval to an uninitialized value if...
Status: RESOLVED FIXED
: coverity
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: x86 Linux
: -- minor (vote)
: ---
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 09:36 PST by timeless
Modified: 2010-04-01 16:05 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.10-fixed


Attachments
Patch (755 bytes, patch)
2010-03-08 12:36 PST, Ben Turner (not reading bugmail, use the needinfo flag!)
jst: review+
jst: superreview+
dveditz: approval1.9.2.4+
dveditz: approval1.9.1.10+
Details | Diff | Review

Description timeless 2010-03-08 09:36:42 PST
234 nsDOMWorkerTimeout::Init(JSContext* aCx, PRUint32 aArgc, jsval* aArgv,

248   PRUint32 interval;
249   if (aArgc > 1) {
250     if (!JS_ValueToECMAUint32(aCx, aArgv[1], (uint32*)&interval)) {
255   }
256   else {

if aArgc <= 1, interval is uninitialized

260   }
261 
262   mInterval = interval;
Comment 1 Ben Turner (not reading bugmail, use the needinfo flag!) 2010-03-08 12:36:03 PST
Created attachment 431170 [details] [diff] [review]
Patch
Comment 2 Ben Turner (not reading bugmail, use the needinfo flag!) 2010-03-12 13:55:11 PST
http://hg.mozilla.org/mozilla-central/rev/06b335512dc6
Comment 3 Daniel Veditz [:dveditz] 2010-03-24 13:19:30 PDT
Comment on attachment 431170 [details] [diff] [review]
Patch

Approved for 1.9.2.3 and 1.9.1.10, a=dveditz for release-drivers
Comment 4 Marco Bonardo [::mak] 2010-03-25 05:30:13 PDT
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/53b97163051a
Comment 5 Ben Turner (not reading bugmail, use the needinfo flag!) 2010-04-01 11:55:00 PDT
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/01e46340ef6d
Comment 6 Daniel Veditz [:dveditz] 2010-04-01 16:05:54 PDT
Unless you landed this on the relbranch it's ".4-fixed"

Note You need to log in before you can comment on or make changes to this bug.